// MonitorEntry.cp
// by Eric Berdahl
// Copyright 1996,1997 Eric Berdahl
// All rights reserved
//
// For licensing instructions, see Betelgeuse.h
// For usage instructions, see Synchronization.h


#include "Exceptions.h"
#include "Synchronization.h"


#pragma export on


//------------------------------------------------------------------------------
//	MonitorEntry implementation
//------------------------------------------------------------------------------


MonitorEntry::MonitorEntry(MonitorLock* theLock) :
	fLock(theLock)
{
	::Assertion(theLock != NULL, "MonitorEntry: constructred with NULL lock");
	fLock->Acquire();
}


MonitorEntry::~MonitorEntry()
{
	fLock->Release();
}


#pragma export off
