// BeException.cp
// by Eric Berdahl
// Copyright 1996,1997 Eric Berdahl
// All rights reserved


#include "Exceptions.h"


//------------------------------------------------------------------------------
// BeException implemented
//------------------------------------------------------------------------------


BeException::BeException(long errorCode) :
	fErrorCode(errorCode)
{
}


BeException::BeException(const BeException& copy) :
	fErrorCode(copy.fErrorCode)
{
}


BeException::~BeException()
{
}


long
BeException::GetErrorCode() const
{
	return fErrorCode;
}


