// TestBetelgeuse.cp
// by Eric Berdahl
// Copyright 1997 Eric Berdahl
// All rights reserved

#include <stdio.h>

#include "MonitorConditionTestProgram.h"
#include "MonitorLockTestProgram.h"
#include "CheapReadWriteLockTestProgram.h"
#include "ReadWriteLockTestProgram.h"
#include "ThreadHandleTestProgram.h"

void
main()
{
	ThreadHandle threadTest(new ThreadHandleTestProgram);
	threadTest.WaitForDeathOf();
	::printf("\n");

	ThreadHandle monitorLockTest(new MonitorLockTestProgram);
	monitorLockTest.WaitForDeathOf();
	::printf("\n");

	ThreadHandle monitorConditionTest(new MonitorConditionTestProgram);
	monitorConditionTest.WaitForDeathOf();
	::printf("\n");

	ThreadHandle readWriteLockTest(new ReadWriteLockTestProgram);
	readWriteLockTest.WaitForDeathOf();
	::printf("\n");

	ThreadHandle cheapReadWriteLockTest(new CheapReadWriteLockTestProgram);
	cheapReadWriteLockTest.WaitForDeathOf();
	::printf("\n");
}
